aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-support/neon/neon/run-ptest
diff options
context:
space:
mode:
authorAditya.Tayade <Aditya.Tayade@kpit.com>2021-03-15 15:18:49 +0530
committerArmin Kuster <akuster808@gmail.com>2021-03-28 21:50:20 -0700
commitac235c6ceebdc3bb55c2b8cd8e83c906da6523ff (patch)
tree2713c682d39ed537545079c579b6c4aeea8c3974 /meta-oe/recipes-support/neon/neon/run-ptest
parente191da81b27750685d841abad0b0b5b427459dba (diff)
downloadmeta-openembedded-contrib-ac235c6ceebdc3bb55c2b8cd8e83c906da6523ff.tar.gz
neon: Add ptest
Reused below test suites from neon source package: BASIC_TESTS: auth basic request session socket string-tests stubs uri-tests util-tests DAV_TESTS: acl3744 lock oldacl props xml xmlreq Overall execution time of above test suite is approximately 15sec. Signed-off-by: Neetika.Singh <Neetika.Singh@kpit.com> Signed-off-by: Armin Kuster <akuster808@gmail.com>
Diffstat (limited to 'meta-oe/recipes-support/neon/neon/run-ptest')
-rw-r--r--meta-oe/recipes-support/neon/neon/run-ptest25
1 files changed, 25 insertions, 0 deletions
diff --git a/meta-oe/recipes-support/neon/neon/run-ptest b/meta-oe/recipes-support/neon/neon/run-ptest
new file mode 100644
index 0000000000..602084a52c
--- /dev/null
+++ b/meta-oe/recipes-support/neon/neon/run-ptest
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -eux
+
+rm -f debug.log child.log
+
+ulimit -c unlimited
+ulimit -t 120
+
+cd test
+echo foobar > foobar.txt
+
+BASIC_TESTS="auth basic redirect request session socket string-tests \
+ stubs uri-tests util-tests"
+DAV_TESTS="acl3744 lock oldacl props xml xmlreq"
+for t in $BASIC_TESTS $DAV_TESTS
+do
+ echo "Running $t..."
+ if "./$t"
+ then
+ echo "PASS:$t"
+ else
+ echo "FAIL:$t"
+ fi
+done